import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.AbstractAction;
import javax.swing.KeyStroke;

public class MyAction extends AbstractAction {
    private ActionListener listener;

    public MyAction(String name, ActionListener listener) {
        super(name);
        this.listener = listener;
    }

    public MyAction(String name, KeyStroke stroke, ActionListener listener) {
        super(name);
        putValue(ACCELERATOR_KEY, stroke);
        this.listener = listener;
    }

    public MyAction(String name, Integer mnemonic, ActionListener listener) {
        super(name);
        putValue(MNEMONIC_KEY, mnemonic);
        this.listener = listener;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        listener.actionPerformed(e);
    }
}
